<?php

namespace App\ReportsData\EntityList;

class Offers extends GeneralAbstract
{

	/**
	 * {@inheritDoc}
	 * @see \App\EntityList\GeneralAbstract::loadDbTablesCfgs()
	 */
	protected function loadDbTablesCfgs(): void
	{
		// store the table name
		global $DBTRd_offers, $DBTRd_services, $DBTRd_suppliers;
		$this->setMainTable($DBTRd_offers, 'off');
        $this->addAllowedTable($DBTRd_services, 'serv', 'off.idService=serv.id', 'INNER');
        $this->addAllowedTable($DBTRd_suppliers, 'supp', 'off.idSupplier=supp.id', 'INNER');
	}

	public function setDefaultFilters(): void
	{
	}

}

